Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface Parameter

    public interface Parameter

Parameter information. This includes a parameter type and parameter name.

Method Summary
`AnnotationDesc[]` | `annotations()` Get the annotations of this parameter.
`String` | `name()` Get local name of this parameter.
`String` | `toString()` Returns a string representation of the parameter.
`Type` | `type()` Get the type of this parameter.
`String` | `typeName()` Get type name of this parameter.

Method Detail

### type

    Type type()

  Get the type of this parameter.

### name

    String name()

  Get local name of this parameter. For example if parameter is the short 'index', returns "index".

### typeName

    String typeName()

  Get type name of this parameter. For example if parameter is the short 'index', returns "short".

  This method returns a complete string representation of the type, including the dimensions of arrays and the type arguments of parameterized types. Names are qualified.

### toString

    String toString()

  Returns a string representation of the parameter.

  For example if parameter is the short 'index', returns "short index".

  Overrides:
    `toString` in class `Object`
  Returns:
    type and parameter name of this parameter.

### annotations

    AnnotationDesc[] annotations()

  Get the annotations of this parameter. Return an empty array if there are none.

  Returns:
    the annotations of this parameter.
  Since:
    1.5

Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2009 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.